
ctools - Change request #2145

Install ctools headers

07/03/2017 09:37 AM - Knödlseder Jürgen

Status: Closed Start date: 07/03/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.0   

Description

The ctools headers should also be installed when installing the ctools package

History

#1 - 07/03/2017 11:02 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 90

The ctools header are now installed into $(prefix)/include/ctools. I added a ctools.hpp header file that combines all ctools headers into a single file, so

that a new binary can simply use

#include "ctools.hpp"

to make use of ctools.

#2 - 07/03/2017 02:40 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel.

#3 - 07/07/2017 01:46 AM - Knödlseder Jürgen

- Target version changed from 1.3.1 to 1.4.0
